
QGIS Application - Bug report #16116

QGIS crashes on some ArcGIS FeatureServer layers

2017-01-26 03:37 AM - Bartosz Perepeczo

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/ArcGIS

Affected QGIS version:2.18.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 24028

Description

QGIS Desktop and QGIS Browser both load layers properly, but crash/freeze forever when there is viewport manipulation (pan/zoom etc)

on those particular services:

http://services6.arcgis.com/uWTLlTypaM5QTKd2/ArcGIS/rest/services

one, fairly simple and small, good to test would be:

http://services6.arcgis.com/uWTLlTypaM5QTKd2/ArcGIS/rest/services/nta_transport/FeatureServer/2

As a note they work fine when viewed in ArcGIS online map browser.

I believe there is something wrong with all of those, as other seem to work fine. For example this one works fine for me:

http://services.arcgis.com/P3ePLMYs2RVChkJx/arcgis/rest/services/USA_Senate/FeatureServer

History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-03-06 03:44 PM - Giovanni Manghi

- Category set to 148

#3 - 2017-04-30 06:42 PM - Giovanni Manghi

- Category changed from 148 to Web Services clients/ArcGIS

#4 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2017-05-03 02:31 PM - Giovanni Manghi

- Description updated

- Status changed from Open to Feedback

http://services6.arcgis.com/uWTLlTypaM5QTKd2/ArcGIS/rest/services/nta_transport/FeatureServer/2

is no more available. Other layers on the same service are working just fine. Please try a more recent version (2.18.7) and report back. Thanks.
#6 - 2017-05-26 05:06 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

Closing for lack of feedback.
